Subject: [eap] Re: Issue 78: More Terminology

From: [email-masked] (Bernard Aboba)
Date: Tue, 4 Feb 2003 23:59:37 -0800 (PST)

The language on silent discard in RFC 2284bis is unchanged from RFC 2284,
Section 1.2:

   silently discard
             This means the implementation discards the packet without
             further processing.  The implementation SHOULD provide the
             capability of logging the error, including the contents of
             the silently discarded packet, and SHOULD record the event
             in a statistics counter.

While the SHOULD is an implementation suggestion, presumably there was a
security reason for making them normative. I'd suggest that relaxing
normative security recommendations is probably not a good idea --
particularly without evidence that implementations aren't following them.

The term EAP server is being used to refer to either the
authenticator (when no authentication server is present) or the
authentication server, if present. The proposed text seems to cloud the
meaning somewhat. In a system with an authentication server where the
authenticator operates in pass-through, doesn't it "support EAP method
exchanges"?

---------------------------------------------------------------

Issue 78: More Terminology
Submitter name: John Vollbrecht
Submitter email address: [email-masked]
Date first submitted: Feburary 3, 2003
Document: RFC2284bis-10
Comment type: Technical
Priority: 1
Section: 1.2
Rationale/Explanation of issue:

Item-a: EAP server description
Rationale:
The wording seems a bit confusing.

Change:

"EAP server
The entity that terminates the EAP authentication with the
peer. In the case where there is no backend authentication
server, this term refers to the authenticator. Where the
authenticator operates in pass-through, it refers to the
backend authentication server."

To:

"EAP server
The entity that supports EAP method exchanges with the
peer. This may be in the same device as the authenticator or
it may be a backend authetication server."

------------------------------
Item-b: Silently discard description
Rationale:
Implementation suggestions should be marked as notes. Probably should not
be protocol SHOULDs

Change:

" Silently Discard
This means the implementation discards the packet without
further processing. The implementation SHOULD provide the
capability of logging the event, including the contents of
the silently discarded packet, and SHOULD record the event
in a statistics counter."

to:

" Silently Discard
This means the implementation discards the packet without
further processing.
[Note: Good practice indicates that implementations should
provide the capability of logging the event, including the
contents of the silently discarded packet, and should record
the event in a statistics counter."